javax.persistence

## Annotation Type NamedQuery

-     @Target(value=TYPE)
      @Retention(value=RUNTIME)
      public @interface NamedQuery

  Specifies a static, named query in the Java Persistence query language. Query names are scoped to the persistence unit. The `NamedQuery` annotation can be applied to an entity or mapped superclass.

  The following is an example of the definition of a named query in the Java Persistence query language:

          @NamedQuery(
                  name="findAllCustomersWithName",
                  query="SELECT c FROM Customer c WHERE c.name LIKE :custName"
          )

  The following is an example of the use of a named query:

          @PersistenceContext
          public EntityManager em;
          ...
          customers = em.createNamedQuery("findAllCustomersWithName")
                  .setParameter("custName", "Smith")
                  .getResultList();

  Since:
    Java Persistence 1.0

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `name` (Required) The name used to refer to the query with the `EntityManager` methods that create query objects.
    `String` | `query` (Required) The query string in the Java Persistence query language.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `QueryHint[]` | `hints` (Optional) Query properties and hints.
    `LockModeType` | `lockMode` (Optional) The lock mode type to use in query execution.

- - ### Element Detail

    - #### name

          public abstract String name

      (Required) The name used to refer to the query with the `EntityManager` methods that create query objects.

    - #### query

          public abstract String query

      (Required) The query string in the Java Persistence query language.

    - #### lockMode

          public abstract LockModeType lockMode

      (Optional) The lock mode type to use in query execution. If a `lockMode` other than `LockModeType.NONE` is specified, the query must be executed in a transaction and the persistence context joined to the transaction.
      Since:
        Java Persistence 2.0
      Default:
        javax.persistence.LockModeType.NONE

    - #### hints

          public abstract QueryHint[] hints

      (Optional) Query properties and hints. May include vendor-specific query hints.
      Default:
        {}

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.